<?php
// no direct access
defined('_JEXEC') or die('Restricted access');

class moddropdowndivHelper
{
	function getArticleOne(&$params)
	{	$db =& JFactory::getDBO(); $ddd1_article = (int) $params->get('ddd1-article', 1);
		$query = 'SELECT a.* ' . ' FROM #__content AS a' . ' WHERE a.id = '. (int) $ddd1_article;
		$db->setQuery($query); $rows = $db->loadObjectList(); if ($db->getErrorNum()) {JError::raiseWarning( 500, $db->stderr() );} return $rows;}

	function getArticleTwo(&$params)
	{	$db =& JFactory::getDBO(); $ddd2_article = (int) $params->get('ddd2-article', 1);
		$query = 'SELECT a.* ' . ' FROM #__content AS a' . ' WHERE a.id = '. (int) $ddd2_article;
		$db->setQuery($query); $rows = $db->loadObjectList(); if ($db->getErrorNum()) {JError::raiseWarning( 500, $db->stderr() );} return $rows;}

	function getArticleThree(&$params)
	{	$db =& JFactory::getDBO(); $ddd3_article = (int) $params->get('ddd3-article', 1);
		$query = 'SELECT a.* ' . ' FROM #__content AS a' . ' WHERE a.id = '. (int) $ddd3_article;
		$db->setQuery($query); $rows = $db->loadObjectList(); if ($db->getErrorNum()) {JError::raiseWarning( 500, $db->stderr() );} return $rows;}
		
	function getArticleFour(&$params)
	{	$db =& JFactory::getDBO(); $ddd4_article = (int) $params->get('ddd4-article', 1);
		$query = 'SELECT a.* ' . ' FROM #__content AS a' . ' WHERE a.id = '. (int) $ddd4_article;
		$db->setQuery($query); $rows = $db->loadObjectList(); if ($db->getErrorNum()) {JError::raiseWarning( 500, $db->stderr() );} return $rows;}

	function getArticleFive(&$params)
	{	$db =& JFactory::getDBO(); $ddd5_article = (int) $params->get('ddd5-article', 1);
		$query = 'SELECT a.* ' . ' FROM #__content AS a' . ' WHERE a.id = '. (int) $ddd5_article;
		$db->setQuery($query); $rows = $db->loadObjectList(); if ($db->getErrorNum()) {JError::raiseWarning( 500, $db->stderr() );} return $rows;}
		
	function getArticleSix(&$params)
	{	$db =& JFactory::getDBO(); $ddd6_article = (int) $params->get('ddd6-article', 1);
		$query = 'SELECT a.* ' . ' FROM #__content AS a' . ' WHERE a.id = '. (int) $ddd6_article;
		$db->setQuery($query); $rows = $db->loadObjectList(); if ($db->getErrorNum()) {JError::raiseWarning( 500, $db->stderr() );} return $rows;}

	function getArticleSeven(&$params)
	{	$db =& JFactory::getDBO(); $ddd7_article = (int) $params->get('ddd7-article', 1);
		$query = 'SELECT a.* ' . ' FROM #__content AS a' . ' WHERE a.id = '. (int) $ddd7_article;
		$db->setQuery($query); $rows = $db->loadObjectList(); if ($db->getErrorNum()) {JError::raiseWarning( 500, $db->stderr() );} return $rows;}

	function getArticleEight(&$params)
	{	$db =& JFactory::getDBO(); $ddd8_article = (int) $params->get('ddd8-article', 1);
		$query = 'SELECT a.* ' . ' FROM #__content AS a' . ' WHERE a.id = '. (int) $ddd8_article;
		$db->setQuery($query); $rows = $db->loadObjectList(); if ($db->getErrorNum()) {JError::raiseWarning( 500, $db->stderr() );} return $rows;}
		
	function getArticleNine(&$params)
	{	$db =& JFactory::getDBO(); $ddd9_article = (int) $params->get('ddd9-article', 1);
		$query = 'SELECT a.* ' . ' FROM #__content AS a' . ' WHERE a.id = '. (int) $ddd9_article;
		$db->setQuery($query); $rows = $db->loadObjectList(); if ($db->getErrorNum()) {JError::raiseWarning( 500, $db->stderr() );} return $rows;}

	function getArticleTen(&$params)
	{	$db =& JFactory::getDBO(); $ddd10_article = (int) $params->get('ddd10-article', 1);
		$query = 'SELECT a.* ' . ' FROM #__content AS a' . ' WHERE a.id = '. (int) $ddd10_article;
		$db->setQuery($query); $rows = $db->loadObjectList(); if ($db->getErrorNum()) {JError::raiseWarning( 500, $db->stderr() );} return $rows;}
}